# Class InfixExpression.Operator

java.lang.Object
org.eclipse.jdt.core.dom.InfixExpression.Operator

Enclosing class:
  `InfixExpression`

public static class InfixExpression.Operator extends Object
Infix operators (typesafe enumeration).

    InfixOperator:
       *        TIMES
       /  DIVIDE
       %  REMAINDER
       +  PLUS
       -  MINUS
       <<  LEFT_SHIFT
       >>  RIGHT_SHIFT_SIGNED
       >>>  RIGHT_SHIFT_UNSIGNED
       <  LESS
       >  GREATER
       <=  LESS_EQUALS
       >=  GREATER_EQUALS
       ==  EQUALS
       !=  NOT_EQUALS
       ^  XOR
       &  AND
       |  OR
       &&  CONDITIONAL_AND
       ||  CONDITIONAL_OR

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final InfixExpression.Operator`
`AND`
AND "&" operator.
`static final InfixExpression.Operator`
`CONDITIONAL_AND`
Conditional AND "&&" operator.
`static final InfixExpression.Operator`
`CONDITIONAL_OR`
Conditional OR "||" operator.
`static final InfixExpression.Operator`
`DIVIDE`
Division "/" operator.
`static final InfixExpression.Operator`
`EQUALS`
Equals "==" operator.
`static final InfixExpression.Operator`
`GREATER`
Greater than ">" operator.
`static final InfixExpression.Operator`
`GREATER_EQUALS`
Greater than or equals ">=" operator.
`static final InfixExpression.Operator`
`LEFT_SHIFT`
Left shift "<<" operator.
`static final InfixExpression.Operator`
`LESS`
Less than "<" operator.
`static final InfixExpression.Operator`
`LESS_EQUALS`
Less than or equals "<=" operator.
`static final InfixExpression.Operator`
`MINUS`
Subtraction "-" operator.
`static final InfixExpression.Operator`
`NOT_EQUALS`
Not equals "!
`static final InfixExpression.Operator`
`OR`
Inclusive OR "|" operator.
`static final InfixExpression.Operator`
`PLUS`
Addition (or string concatenation) "+" operator.
`static final InfixExpression.Operator`
`REMAINDER`
Remainder "%" operator.
`static final InfixExpression.Operator`
`RIGHT_SHIFT_SIGNED`
Signed right shift ">>" operator.
`static final InfixExpression.Operator`
`RIGHT_SHIFT_UNSIGNED`
Unsigned right shift ">>>" operator.
`static final InfixExpression.Operator`
`TIMES`
Multiplication "*" operator.
`static final InfixExpression.Operator`
`XOR`
Exclusive OR "^" operator.

## Method Summary

Modifier and Type
Method
Description
`static InfixExpression.Operator`
`toOperator(String token)`
Returns the infix operator corresponding to the given string, or `null` if none.
`String`
`toString()`
Returns the character sequence for the operator.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TIMES

public static final InfixExpression.Operator TIMES
Multiplication "*" operator.

### DIVIDE

public static final InfixExpression.Operator DIVIDE
Division "/" operator.

### REMAINDER

public static final InfixExpression.Operator REMAINDER
Remainder "%" operator.

### PLUS

public static final InfixExpression.Operator PLUS
Addition (or string concatenation) "+" operator.

### MINUS

public static final InfixExpression.Operator MINUS
Subtraction "-" operator.

### LEFT_SHIFT

public static final InfixExpression.Operator LEFT_SHIFT
Left shift "<<" operator.

### RIGHT_SHIFT_SIGNED

public static final InfixExpression.Operator RIGHT_SHIFT_SIGNED
Signed right shift ">>" operator.

### RIGHT_SHIFT_UNSIGNED

public static final InfixExpression.Operator RIGHT_SHIFT_UNSIGNED
Unsigned right shift ">>>" operator.

### LESS

public static final InfixExpression.Operator LESS
Less than "<" operator.

### GREATER

public static final InfixExpression.Operator GREATER
Greater than ">" operator.

### LESS_EQUALS

public static final InfixExpression.Operator LESS_EQUALS
Less than or equals "<=" operator.

### GREATER_EQUALS

public static final InfixExpression.Operator GREATER_EQUALS
Greater than or equals ">=" operator.

### EQUALS

public static final InfixExpression.Operator EQUALS
Equals "==" operator.

### NOT_EQUALS

public static final InfixExpression.Operator NOT_EQUALS
Not equals "!=" operator.

### XOR

public static final InfixExpression.Operator XOR
Exclusive OR "^" operator.

### OR

public static final InfixExpression.Operator OR
Inclusive OR "|" operator.

### AND

public static final InfixExpression.Operator AND
AND "&" operator.

### CONDITIONAL_OR

public static final InfixExpression.Operator CONDITIONAL_OR
Conditional OR "||" operator.

### CONDITIONAL_AND

public static final InfixExpression.Operator CONDITIONAL_AND
Conditional AND "&&" operator.

## Method Details

### toString

public String toString()
Returns the character sequence for the operator.

Overrides:
  `toString` in class `Object`
Returns:
  the character sequence for the operator

### toOperator

public static InfixExpression.Operator toOperator(String token)
Returns the infix operator corresponding to the given string, or `null` if none.

`toOperator` is the converse of `toString`: that is, `Operator.toOperator(op.toString()) == op` for all operators `op`.

Parameters:
  `token` - the character sequence for the operator
Returns:
  the infix operator, or `null` if none